View Issue Details

IDProjectCategoryView StatusLast Update
15901Bug reportsTheme editorpublic2020-04-28 10:12
ReporterMazi Assigned Topstelling  
PriorityhighSeveritypartial_block 
Status closedResolutionfixed 
Product Version4.1.6 
Summary15901: Regression: Buttons to uninstall or reset a theme missing at LS 4
Description

While at LS3 the theme overview has shown a button to uninstall and reseit a single theme, these options are missing at LS 4.
They are only available at the mass action drop down bottom left but that doesn't help much because usually you only want to uninstall or reset a single theme. Please re-add the buttons.

Steps To Reproduce

Check theme overview at LS 4.

Additional Information

Please also consider adding a "Delete" button for each theme. Currently themes at the theme overview can only be uninstalled but not deleted. For that action, though it is very similar, you have to go to the theme editor which doesn't make much sense. Why having to go to a different page if that is a common action that should be shown at the theme overview.

TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 4.1.6+200220
I will donate to the project if issue is resolvedNo
BrowserChrome
Database & DB-VersionMySQL 5
Server OS (if known)Ubuntu 18
Webserver software & version (if known)Apache 2
PHP Version7.2.26

Relationships

parent of 16184 new Broken javascript system with confirm action 
Not all the children of this issue are yet resolved or closed.

Activities

pstelling

pstelling

2020-04-24 12:51

developer   ~57356

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=29936

lime_release_bot

lime_release_bot

2020-04-28 10:12

administrator   ~57419

Fixed in Release 4.2.1+200428

Related Changesets

LimeSurvey: master 0d1a3dc1

2020-04-20 12:14:49

pstelling

Details Diff
Fixed issue 15901: Regression: Buttons to uninstall or reset a theme missing at LS 4 Affected Issues
15901
mod - application/models/TemplateConfiguration.php Diff File

Issue History

Date Modified Username Field Change
2020-02-21 11:12 Mazi New Issue
2020-02-21 14:40 cdorin Priority none => high
2020-02-21 14:40 cdorin Status new => confirmed
2020-04-24 12:51 pstelling Changeset attached => LimeSurvey master 0d1a3dc1
2020-04-24 12:51 pstelling Note Added: 57356
2020-04-24 12:51 pstelling Assigned To => pstelling
2020-04-24 12:51 pstelling Resolution open => fixed
2020-04-24 13:33 swendrich Status confirmed => resolved
2020-04-24 16:49 DenisChenu Relationship added parent of 16184
2020-04-28 10:12 lime_release_bot Note Added: 57419
2020-04-28 10:12 lime_release_bot Status resolved => closed